# food.alicestrete.me

## install

```
$ git clone --recursive https://git.xpub.nl/alicestrt/food.git
$ cd food
$ python3 -m venv .venv
$ source .venv/bin/activate
$ pip install -r requirements.txt
$ cd makeserver3
$ python3 setup.py install
$ cd ..
$ cd timetoeat
$ makeserver3
```

## server stuff

How to get to the server:
* ssh kstraat

Location of files:
* project files: /var/www/food.alicestrete.me
* supervisor config: /etc/supervisor/conf.d/timetoeat.conf
* nginx config: /etc/sites-available/food.alicestrete.me
* makeserver logs: /var/log/timetoeat

Commands:
* to reload after editing nginx config: sudo nginx -s reload
* to check status of makeserver: sudo supervisorctl status
* to reload supervisor: sudo supervisorctl reload
* to restart the makeserver: sudo supervisorctl restart timetoeat:makeserver
